> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate contract

> Duplicate an existing contract by its contract key with the Sendforsign API.

When duplicating a contract, the placeholder structure is copied, but all placeholder values are cleared.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**contract** `object` *required*

Structure.

**child attribute**

**contractKey** `string` *required*

Key of the contract that needs to be duplicated.

### Response

**contract** `string`

Contract structure.

**child attribute**

**createTime** `string`

Create time.

**contractKey** `string`

ID of the duplicated contract.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/contract' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "duplicate",
        "clientKey": "YOUR_CLIENT_KEY",
        "contract": {
            "contractKey": "YOUR_CONTRACT_KEY"
        }
    }
}'
```

```json Response theme={null}
{
    "contract": {
        "createTime": "2023-12-01 12:18:55",
        "contractKey": "NEW_CONTRACT_KEY"
    },
    "code": "201",
    "message": "Contract duplicated"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.